## wipe 0.20

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-# wipe, version 0.15 by Berke Durak
-# <durakb@crit2.univ-montp2.fr>, <berke@gsu.linux.org.tr>
+# Makefile for wipe, version 0.20, by Berke Durak
+# $Id: Makefile,v 1.2 2004/06/12 17:49:47 berke Exp $
+# echo berke1altern2org|tr 12 @.
 #
 # define HAVE_OSYNC if an O_SYNC bit can be specified for the open () call
 # (see open(2))
@@ -14,8 +15,8 @@
 # define HAVE_STRCASECMP if the strcasecmp () library call is available
 # on your system.
 #
-# define REMOVE_ON_INT if you want partially wiped files to be removed
-# (unlinked) if the process is interrupted (SIGINT and SIGTERM are caught)
+# the REMOVE_ON_INT option has been removed since version 0.17,
+# as it is difficult to maintain and has no significant purpose IMHO.
 #
 # define WEAK_RC6 if you wish to use four-round RC6 instead of the
 # standard 20 rounds
@@ -33,14 +34,18 @@
 #
 # define FIND_DEVICE_SIZE_BY_BLKGETSIZE if ioctl BLKGETSIZE is available
 # for determinating the block size of a device, as under Linux.
+# 
+# define SIXTYFOUR,__USE_LARGEFILE and __USE_FILE_OFFSET64 to be able to
+# wipe devices or files greater than 4Gb (works under Linux)
 # --------------------------------------------------------------------------
 # Linux 2.0.x
 #
 
 CC_LINUX=gcc
-CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE
+CCO_LINUX=-Wall -DHAVE_DEV_URANDOM -DHAVE_OSYNC -DHAVE_STRCASECMP -DHAVE_RANDOM -DWEAK_RC6 -DSYNC_WAITS_FOR_SYNC -DFIND_DEVICE_SIZE_BY_BLKGETSIZE -DSIXTYFOUR -D__USE_LARGEFILE -D__USE_FILE_OFFSET64
 # default should be to turn off debugging and to turn on optimization.
-CCO_LINUX+=-O9 -pipe -fomit-frame-pointer -finline-functions -funroll-loops -fstrength-reduce
+#CCO_LINUX+=-O9 -pipe -fomit-frame-pointer -finline-functions -funroll-loops -fstrength-reduce
+CCO_LINUX+=$(CFLAGS)
 #CCO_LINUX+=-DDEBUG -g
 CCOC_LINUX=-c
 
@@ -58,7 +63,7 @@
 #
 
 CC_AIX=gcc
-CCO_AIX=-Wall -O6 -pipe -fomit-frame-pointer
+CCO_AIX=$(CFLAGS)
 CCOC_AIX=-c
 
 # --------------------------------------------------------------------------
@@ -66,7 +71,7 @@
 #
 
 CC_GENERIC=gcc
-CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer
+CCO_GENERIC=-Wall -O6 -pipe -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 CCOC_GENERIC=-c
 
 # Thanks to Chris L. Mason <cmason@unixzone.com> for these:
@@ -107,7 +112,7 @@
 
 #
 
-OBJECTS=wipe.o rc6.o arcfour.o md5.o misc.o random.o
+OBJECTS=wipe.o arcfour.o md5.o misc.o random.o
 TARGETS=wipe wipe.tr-asc.1
 
 all	:	
@@ -151,7 +156,7 @@
 wipe.o	:	wipe.c random.h misc.h
 		$(CC) $(CCO) $(CCOC) wipe.c -o wipe.o
 
-random.o	:	random.c misc.h rc6.h md5.h
+random.o	:	random.c misc.h md5.h
 		$(CC) $(CCO) $(CCOC) random.c -o random.o
 
 rc6.o	:	rc6.c rc6.h
@@ -172,3 +177,6 @@
 
 clean	:	
 		rm -f wipe $(OBJECTS) wipe.tr-asc.1 *~ DEADJOE core
+
+install:
+	install -m755 -o root -g root wipe $(DESTDIR)/usr/bin
