## wipe 0.21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Makefile for wipe, version 0.20, by Berke Durak
+# Makefile for wipe, version 0.21, by Berke Durak
 # $Id: Makefile,v 1.2 2004/06/12 17:49:47 berke Exp $
-# echo berke1altern2org|tr 12 @.
+# echo berke1ouvaton2org|tr 12 @.
 #
 # define HAVE_OSYNC if an O_SYNC bit can be specified for the open () call
 # (see open(2))
