## wipe 0.22

=== debian/changelog ===
wipe (0.22-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: changed from 'and' to 'or' in License field in GPL text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 11:21:50 -0300

wipe (0.22-2) experimental; urgency=medium

  * New co-maintainer.
  * Updated DH level to 9.
  * Renaming:
      - From: wipe.dirs, wipe.docs, wipe.examples, wipe.manpages.
      - To: dirs, docs, examples, manpages.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Improved the long description (added the forensics word).
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Updated the copyright years and names.
      - Updated the upstream email address.
  * debian/patches/002-add-hardening: added to enable the GCC hardening.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
        pointed by blhc.
      - Little adjustment in CFLAGS.
  * debian/watch: improved and added the GitHub as a future possibility.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Feb 2015 22:21:36 -0300

wipe (0.22-1) unstable; urgency=low

  * Team upload.
  * New upstream release 
  * Switch to debhelper 8
  * Update to standards 3.9.2 
  * Switch to 3.0 (quilt) source package format 
  * Remove useless lintian overrides (use dch --team to avoid Lintian
    warnings) 
  * Add patch to fix manpages syntax 
  * Update VCS-* fields 
  * Update copyright information and fix DEP-5 syntax 

 -- Julien Valroff <julien@debian.org>  Sat, 17 Sep 2011 09:26:40 +0200

wipe (0.21-9) unstable; urgency=low

  * Minimizing rules file.
  * Setting uploaders to Christophe.

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 21:12:43 +0200

wipe (0.21-8) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Updating upstream homepage.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:55:00 +0200

wipe (0.21-7) unstable; urgency=low

  * Updating vcs fields.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Prefixing debhelper files with package name.
  * Updating to standards 3.8.1.
  * Updating year in copyright file.
  * Tidy rules file.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:58:30 +0200

wipe (0.21-6) unstable; urgency=low

  * Fixing git-dch email address misstake.
  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Sorting vcs fields in control file.
  * Adding full license headers to copyright file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 10:18:43 +0200

wipe (0.21-5) unstable; urgency=low

  * Removing useless whitespaces.
  * Bumping package to debhelper 6.
  * Setting maintainer to Debian Forensics.
  * Adding vcs fields in control.
  * Rewritten copyright in machine readable form.
  * Reordering rules.

 -- Daniel Baumann <daniel@debian.org>  Fri, 22 Feb 2008 10:03:00 +0100

wipe (0.21-4) unstable; urgency=low

  * Bumped to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.
  * Removing non-existing distclean call in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 21:05:00 +0100

wipe (0.21-3) unstable; urgency=low

  * Minor cleanups.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 13:13:00 +0200

wipe (0.21-2) unstable; urgency=low

  * New maintainer.
  * Adjusted debian/* to my own customs.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Oct 2006 13:10:00 +0200

wipe (0.21-1) unstable; urgency=low

  * Acknowledge the changes made in the NMU 0.20-2.1. Thanks to Max Kellermann
    for the patch and Alexander Wirt for the NMU!
    Closes: Bug#383467
  * The NMU patch for Bug#383467 are now incorporated upstream.
  * debian/README.Debian: removed because upstream removed the files rc6.c,
    rc6.h and secure_del.html from the tarball. Now the Debian tar.gz no
    longer differs from the upstream .tar.gz.
  * debian/control: Bumped Standards-Version to 3.7.2. No changes required.

 -- Thomas Schoepf <schoepf@debian.org>  Sat, 23 Sep 2006 13:02:56 +0200

wipe (0.20-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fixes build-target detection, use off_t for length (Closes: #383467).
    Thanks to Max Kellermann for the patches

 -- Alexander Wirt <formorer@debian.org>  Sat, 16 Sep 2006 19:03:59 +0200

wipe (0.20-2) unstable; urgency=low

  * Closes: #354734: typo in wipe.1 man page
  * debian/control: Bumped Standards-Version to 3.6.2
  * debian/control: build-depend on debhelper >= 4.0
  * debian/rules: dh_compat = 4

 -- Thomas Schoepf <schoepf@debian.org>  Mon, 13 Mar 2006 11:14:46 +0100

wipe (0.20-1) unstable; urgency=low

  * New upstream version.
  * This version includes the patch written by Jim Paris for large file
    support. Thanks!
    Closes: #190100: wipe 0.18-1 cannot overwrite files/block devices >4 GB
    Closes: #252428: Only wipes beginning of a device.

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 13 Jun 2004 11:50:12 +0200

wipe (0.19.20030913-1) unstable; urgency=low

  * New upstream version.
  * Upgraded Standards-Version to 3.6.1. No changes required.
  * Includes updates for Bug#190100: wipe 0.18-1 cannot overwrite files/block
    devices >4 GB
    I am unable to test them so I do not yet close the bug.

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 28 Sep 2003 23:14:15 +0200

wipe (0.18-1) unstable; urgency=low

  * New upstream version.

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 02 Feb 2003 15:18:07 +0100

wipe (0.17-2) unstable; urgency=low

  * wipe has a new homepage and upstream a new email address.
  * wipe.c: restored check for "." and ".." in recursive()
    Closes: #179381: wipe: traverse parent directories check lost
      in upgrade

 -- Thomas Schoepf <schoepf@debian.org>  Sun, 02 Feb 2003 12:17:17 +0100

wipe (0.17-1) unstable; urgency=low

