=== debian/control ===
Source: wipe
Section: utils
Priority: extra
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://lambda-diode.com/software/wipe
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/wipe.git
Vcs-Git: git://anonscm.debian.org/forensics/wipe.git

Package: wipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: secure file deletion
 Recovery of supposedly erased data from magnetic media is easier than what many
 people would like to believe. A technique called Magnetic Force Microscopy
 (MFM) allows any moderately funded opponent to recover the last two or three
 layers of data written to disk. Wipe repeatedly writes special patterns to the
 files to be destroyed, using the fsync() call and/or the O_SYNC bit to force
 disk access.
 .
 This program is useful in anti-forensics and security activities.
