=== debian/changelog ===
wipe (0.24-9) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.0.1.
  * debian/watch: updated search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 29 Oct 2021 00:16:17 -0300

wipe (0.24-8) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/:
      - Added a leading zero to all patch names.
      - 010_hide-filenames.patch: added fields Origin and Forwarded.
      - 020_fix-warnings.patch: added field Forwarded.
      - 030_fix-spelling.patch: added field Forwarded.
      - 040_fix-spellings-manpage.patch: added field Forwarded.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 21 Aug 2021 14:33:44 -0300

wipe (0.24-7) unstable; urgency=medium

  * debian/control: migrated DH level to 13.
  * debian/copyright: split GPL license text into GPL-2 and GPL-2+.
  * debian/tests/control: set a CI test as superficial.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Sep 2020 00:24:07 -0300

wipe (0.24-6) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/copyright: updated packaging copyright years.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Feb 2020 20:01:11 -0300

wipe (0.24-5) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added packaging rights for Samuel Henrique.
      - Updated packaging copyright years.
      - Using GitHub/issues address in Upstream-Contact field.
  * debian/patches/40_fix-spellings-manpage.patch: created to fix some spelling
    errors in manpage.
  * debian/rules: added an override to remove a duplicate manpage.

  [ Samuel Henrique ]
  * Add salsa-ci.yml.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Feb 2020 09:58:42 -0300

wipe (0.24-4) unstable; urgency=medium

  * debian/copyright:
      - Added rights for Raphaël Hertzog.
      - Updated packaging copyright years.
  * debian/patches/:
      - 30_fix-spelling.patch: added to fix a spelling  error in final binary.
      - 50_hide-filenames.patch: renamed to 10_hide-filenames.patch.
      - 60_fix-warnings.patch: renamed to 20_fix-warnings.patch.
  * debian/tests/*: added to perform trivial tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Nov 2018 18:11:21 -0200

wipe (0.24-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix cross-builds by telling the build system to use our CC.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #901176)
  * Use /usr/share/dpkg/architecture.mk instead of querying dpkg-architecture
    ourselves
  * Re-enable patch to fix compiler warnings
  * Refresh all patches
  * Change priority to optional
  * Bump Standards-Version to 4.2.1 and debhelper compat level to 11.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 02 Sep 2018 14:50:52 +0200

wipe (0.24-2) unstable; urgency=medium

  * debian/copyright: removed an outdated upstream email address.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Nov 2016 19:55:39 -0200

wipe (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Bump DH level to 10.
  * New upstream homepage.
  * debian/copyright:
      - Updated the header.
      - Updated the upstream copyright years.
  * debian/patches/:
      - Removed the following patches because the upstream fixed the source
        code (thanks Berke).
          ~ 10_add-hardening.patch
          ~ 20_fix-manpage.patch
          ~ 30_fix-spelling-binary.patch
          ~ 40-fix_warnings.patch
  * debian/README.source: removed. The upstream is alive again. So, the
    explanation provided by this file is useless now.
  * debian/watch: updated to use the GitHub as source.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Nov 2016 12:29:42 -0200

wipe (0.22-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Improved the long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/:
      - 001_fix-manpages.diff: removed. No longer necessary escape hyphens in
        manpages.
      - 002-add-hardening: renamed to 10_add-hardening.patch.
      - 20_fix-manpage.patch:
          ~ Added to fix a spelling error and remove invalid macro SP.
          ~ Fix a wrong example. Thanks to (No Name)
            <petes-bugs@thegoldenear.org>. (Closes: #411971)
          ~ Make clearer the -Q option use. (LP: #801472)
          ~ Make the man page clear about number of default passes. For this,
            thanks to Runa Sandvik <runa.sandvik@gmail.com> (Closes: #544774)
      - 30_fix-spelling-binary.patch: added to fix a spelling error in final
        binary.
      - 40-fix_warnings.patch: added to fix some GCC warnings.
      - 50_hide-filenames.patch: added to really delete filenames of deleted
        files. Thanks to Timo Boettcher <timo.boettcher@redteam-pentesting.de,
        debian@timoboettcher.name> (Closes: #726388)
      - 60_fix-warnings.patch: added to fix some GCC warnings in previous
        patch.

