=== debian/control ===
Source: wipe
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Rules-Requires-Root: binary-targets
Homepage: https://github.com/berke/wipe
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wipe
Vcs-Git: https://salsa.debian.org/pkg-security-team/wipe.git

Package: wipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: secure file deletion
 Recovery of supposedly erased data from magnetic media is easier than
 what many people would like to believe. A technique called Magnetic
 Force Microscopy (MFM) allows any moderately funded opponent to recover
 the last two or three layers of data written to disk. Wipe repeatedly
 writes special patterns to the files to be destroyed, using the fsync()
 call and/or the O_SYNC bit to force disk access.
 .
 Wipe can permanently delete data in hard disks and flash drives (caution!
 several writes can damage solid medias).
 .
 This program is useful in anti-forensics and security activities.
